From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/memo_wise/
Date: Wed, 6 Apr 2022 05:48:44 +0000 (UTC) [thread overview]
Message-ID: <1649224121.40f09bcdbe76938a821a5af2d4c71a7fda21858c.graaff@gentoo> (raw)
commit: 40f09bcdbe76938a821a5af2d4c71a7fda21858c
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 6 05:48:14 2022 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Apr 6 05:48:41 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40f09bcd
dev-ruby/memo_wise: add 1.7.0
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/memo_wise/Manifest | 1 +
dev-ruby/memo_wise/memo_wise-1.7.0.ebuild | 36 +++++++++++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-ruby/memo_wise/Manifest b/dev-ruby/memo_wise/Manifest
index dfe88f6b6ca9..c3b906da8bea 100644
--- a/dev-ruby/memo_wise/Manifest
+++ b/dev-ruby/memo_wise/Manifest
@@ -1 +1,2 @@
DIST memo_wise-1.6.0.tar.gz 184843 BLAKE2B 84b9cd5a2f757dc82cfb38359b39d26d60018fabc425c018b5537e61a5620dcdf0caf2863a8165fdf5f7ed5bc85400cae43b6ebbb3911ab7ce47160d7295240e SHA512 8a8a3a3a6c3a7dd9e518efed3b990917ad266e42266d30c80dbed90b279ad793ec795c080a1d080c7a23e2caec7e31e55388df802795ac1e5f7fb5e3ced93c03
+DIST memo_wise-1.7.0.tar.gz 185861 BLAKE2B 49ef04f4ef73ea24ac243c70d9545ed65c0fc8f4c6d9571d7f31c2728e82087cf1676aedd01aa1d0c1994a16ea7215b264a51fa2b8fe957cba3eb9088fd3a414 SHA512 3b87a1a81c060c34d4c91409ab6b2f8aa700e3313233e652e174f62c3dd826b675594d84d00ad21ae1f12dba4c6b0fe59431c54b4bbdf46430895635aa220b5f
diff --git a/dev-ruby/memo_wise/memo_wise-1.7.0.ebuild b/dev-ruby/memo_wise/memo_wise-1.7.0.ebuild
new file mode 100644
index 000000000000..607af09f1301
--- /dev/null
+++ b/dev-ruby/memo_wise/memo_wise-1.7.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_GEMSPEC="memo_wise.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="The wise choice for Ruby memoization"
+HOMEPAGE="https://github.com/panorama-ed/memo_wise"
+SRC_URI="https://github.com/panorama-ed/memo_wise/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
+
+ # Avoid specs for an unmaintained package with old dependencies that is optional.
+ sed -e '/require.*values/ s:^:#:' \
+ -e '/when the class is a Value class/,/^ end/ s:^:#:' \
+ -i spec/memo_wise_spec.rb || die
+
+ sed -e 's:_relative ": "./:' \
+ -e 's/__dir__/"."/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
next reply other threads:[~2022-04-06 5:48 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-04-06 5:48 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-05-14 19:15 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/memo_wise/ Hans de Graaff
2025-05-08 5:43 Hans de Graaff
2025-05-08 5:43 Hans de Graaff
2025-02-28 13:33 Hans de Graaff
2024-09-18 8:56 Hans de Graaff
2024-09-18 8:56 Hans de Graaff
2024-06-05 5:49 Hans de Graaff
2024-06-01 7:30 Hans de Graaff
2023-12-31 17:15 Hans de Graaff
2023-10-31 6:42 Hans de Graaff
2023-04-22 15:41 Hans de Graaff
2023-04-22 15:41 Hans de Graaff
2022-04-08 11:17 Jakov Smolić
2022-04-02 8:57 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1649224121.40f09bcdbe76938a821a5af2d4c71a7fda21858c.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox